# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Who.AttendeeType

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.extensions.Who.AttendeeType

All Implemented Interfaces:
  Extension

Enclosing class:
  Who

    public static final class Who.AttendeeType

extends ValueConstruct

Type of event attendee.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String` `EVENT_OPTIONAL`
`static java.lang.String` `EVENT_REQUIRED`

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Who.AttendeeType()`

Method Summary

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_REQUIRED

    public static final java.lang.String EVENT_REQUIRED

See Also:
  Constant Field Values

### EVENT_OPTIONAL

    public static final java.lang.String EVENT_OPTIONAL

See Also:
  Constant Field Values

Constructor Detail

### Who.AttendeeType

    public Who.AttendeeType()